/**
 * @package Goomento_PageBuilder
 * @link https://github.com/Goomento/PageBuilder
 */
define([
    'underscore'
], function (_) {
    'use strict';
    window.goomentoBackend = window.goomentoBackend || {};
    goomentoBackend.helpers = _.extend({}, goomentoBackend.helpers, {
        addCss (href) {
            href = require.toUrl(href);
            var link = document.createElement('link');
            link.type = 'text/css';
            link.rel = 'stylesheet';
            document.head.appendChild(link);
            link.href = href;
        },
        /**
         * @see https://github.com/p01/mmd.js
         * @param src
         * @returns {string}
         */
        markdown2Html(src) {
            if (!src) {
                return src;
            }

            let h='';

            function escape(t) {
                return new Option(t).innerHTML;
            }

            function inlineEscape(s) {
                return escape(s)
                    .replace(/!\[([^\]]*)]\(([^(]+)\)/g, '<img alt="$1" src="$2">')
                    .replace(/\[([^\]]+)]\(([^(]+?)\)/g, '<a href="$2">$1</a>')
                    .replace(/`([^`]+)`/g, '<code>$1</code>')
                    .replace(/(\*\*|__)(?=\S)([^\r]*?\S[*_]*)\1/g, '<strong>$2</strong>');
            }

            src
                .replace(/^\s+|\r|\s+$/g, '')
                .replace(/\t/g, '    ')
                .split(/\n\n+/)
                .forEach(function(b, f, R)
                {
                    f=b[0];
                    R=
                        {
                            '*':[/\n\* /,'<ul><li>','</li></ul>'],
                            '1':[/\n[1-9]\d*\.? /,'<ol><li>','</li></ol>'],
                            ' ':[/\n    /,'<pre><code>','</code></pre>','\n'],
                            '>':[/\n> /,'<blockquote>','</blockquote>','\n']
                        }[f];
                    h+=
                        R?R[1]+('\n'+b)
                            .split(R[0])
                            .slice(1)
                            .map(R[3]?escape:inlineEscape)
                            .join(R[3]||'</li>\n<li>')+R[2]:
                            f=='#'?'<h'+(f=b.indexOf(' '))+'>'+inlineEscape(b.slice(f+1))+'</h'+f+'>':
                                f=='<'?b: b.split(/\n+/).filter(n => n).map(l => {
                                        return '<p>' + inlineEscape(l) + '</p>';
                                    }).join('');
                });
            return h;
        },
    });

    return goomentoBackend;
});
